Skip to main content
PATCH
/
schemas
/
{id}
Update schema
curl --request PATCH \
  --url https://api.sftpsync.io/schemas/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "definition": {
    "type": "<string>",
    "properties": {},
    "required": [
      "<string>"
    ]
  },
  "description": "<string>"
}
'
import requests

url = "https://api.sftpsync.io/schemas/{id}"

payload = {
"name": "<string>",
"definition": {
"type": "<string>",
"properties": {},
"required": ["<string>"]
},
"description": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
definition: {type: '<string>', properties: {}, required: ['<string>']},
description: '<string>'
})
};

fetch('https://api.sftpsync.io/schemas/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "definition": {
    "type": "<string>",
    "properties": {},
    "required": [
      "<string>"
    ]
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "isActive": true
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Body

application/json

The schema body is a JSON Schema definition object. The legacy fields array is ignored by the API.

name
string
required
definition
object
required

A JSON Schema document describing the columns the processed data must conform to.

description
string

Response

200 - application/json

Schema

id
string
required
name
string
required
definition
object
required

A JSON Schema document describing the columns the processed data must conform to.

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string
isActive
boolean

Always present in responses (currently always true).